#
# spec file for package etherboot (Version 5.0.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         etherboot
Copyright:    GPL
Group:        Applications/Networking
Provides:     ethboot
Autoreqprov:  on
Version:      5.0.3
Release:      30
Source:       %{name}-%{version}.tar.bz2
Source1:      %{name}-doc-%{version}.tar.bz2
#Patch:        %{name}-%{version}.dif
URL:          http://www.slug.org.au/etherboot/
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      Software for booting x86 PCs over a network
Obsoletes:    ethboot
ExclusiveArch:i386

%description
Etherboot is a free software package for booting x86 PCs over a network. In principle this could be any network technology that TCP/IP runs on that supports broadcasting.
In practice, the bandwidth required means it's only practical over LANs and some WANs. Etherboot is useful for booting PCs diskless. This is desirable in various situations, for example:
o Maintaining software for a cluster of equally configured workstations centrally.
o A low-cost X-terminal.
o A low cost user platform where remote partitions are mounted by NFS and you are willing to accept the slowness of data transfers that results from NFS, compared to a local disk.
o Various kinds of remote servers, e.g. a tape drive server that can be accessed with the RMT protocol.
o Routers.
o Machines doing tasks in environments unfriendly to disks.

Authors:
--------
    Ken Yap<ken.yap@acm.org>

SuSE series: n

%prep
%setup -a 1
#%patch

%build
cd src
make all bin/boot1a.bin bin/comprefix.bin bin/liloprefix.bin
 

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
install -d $RPM_BUILD_ROOT/usr/lib/etherboot/compressed \
           $RPM_BUILD_ROOT/usr/lib/etherboot/uncompressed \
	   $RPM_BUILD_ROOT/usr/bin
install src/bin/{boot1a,comprefix,liloprefix}.bin $RPM_BUILD_ROOT/usr/lib/etherboot
install src/bin/makerom $RPM_BUILD_ROOT/usr/bin
install src/bin32/*.lzrom $RPM_BUILD_ROOT/usr/lib/etherboot/compressed
install src/bin32/*.rom $RPM_BUILD_ROOT/usr/lib/etherboot/uncompressed
find $RPM_BUILD_ROOT/usr/lib/etherboot -type d -exec chmod 755 {} \;
find $RPM_BUILD_ROOT/usr/lib/etherboot -type f -exec chmod 644 {} \;

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc COPYING INSTALL RELNOTES index.html doc/text doc/html eb.png index.html contrib src/NIC
/usr/bin/makerom
/usr/lib/etherboot

%changelog -n etherboot
* Tue Aug 14 2001 - ro@suse.de
- new version 5.0.3 even compiles
* Thu Jul 12 2001 - nashif@suse.de
- Update to 5.0.2
* Fri May 25 2001 - smid@suse.cz
- Update to 5.0.1
- mknbi moved to separate package
* Thu Mar 01 2001 - ro@suse.de
- fixed for current binutils (-oformat is --oformat)
* Wed Jan 10 2001 - nashif@suse.de
- Added Requires and Conflicts to etherboot-mknbi section
* Sat Dec 02 2000 - nashif@suse.de
- Updated to 4.6.12
- create sub-package etherboot-mknbi
* Sun Nov 19 2000 - nashif@suse.de
- Update to version 4.6.11
- Changed package name: ethboot -> etherboot
* Wed Oct 11 2000 - nashif@suse.de
- Update to version 4.6.8
* Wed Apr 12 2000 - nashif@suse.de
- Update to version 4.4.5
* Wed Feb 16 2000 - nashif@suse.de
- Update to version 4.4.3
* Fri Feb 04 2000 - nashif@suse.de
- Initial Release (4.4.2)
